GET v1/operator/v2/home?UserId={UserId}&OperatorId={OperatorId}&includePending={includePending}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | string |
None. |
|
| OperatorId | string |
None. |
|
| includePending | boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
ApiResponseNewOfOperatorHomeResponseDto| Name | Description | Type | Additional information |
|---|---|---|---|
| status | integer |
None. |
|
| message | string |
None. |
|
| data | OperatorHomeResponseDto |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"message": "sample string 2",
"data": {
"renewalsCount": 1,
"notificationCount": 2,
"inServiceDate": "2026-08-25T14:57:25.4295051+00:00",
"businessFormationMaxDays": 3,
"files": [
{
"key": 1,
"value": "sample string 2",
"description": "sample string 3",
"type": "sample string 4"
},
{
"key": 1,
"value": "sample string 2",
"description": "sample string 3",
"type": "sample string 4"
}
]
}
}
application/xml, text/xml
Sample:
<ApiResponseNewOfOperatorHomeResponseDtoGyU0tzEL xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
<data xmlns:d2p1="http://schemas.datacontract.org/2004/07/OrionApi.Contracts.Version1">
<d2p1:BusinessFormationMaxDays>3</d2p1:BusinessFormationMaxDays>
<d2p1:InServiceDate>2026-08-25T14:57:25.4295051+00:00</d2p1:InServiceDate>
<d2p1:NotificationCount>2</d2p1:NotificationCount>
<d2p1:RenewalsCount>1</d2p1:RenewalsCount>
<d2p1:Result>
<Message>sample string 1</Message>
<Status>2</Status>
</d2p1:Result>
<d2p1:files>
<FileMediaResponseVM>
<Description>sample string 3</Description>
<Key>1</Key>
<Type>sample string 4</Type>
<Value>sample string 2</Value>
</FileMediaResponseVM>
<FileMediaResponseVM>
<Description>sample string 3</Description>
<Key>1</Key>
<Type>sample string 4</Type>
<Value>sample string 2</Value>
</FileMediaResponseVM>
</d2p1:files>
</data>
<message>sample string 2</message>
<status>1</status>
</ApiResponseNewOfOperatorHomeResponseDtoGyU0tzEL>